Package com.ads.api.beans.common

# Enum Class APIConstants.AuthenticationResponseCode

java.lang.Object
java.lang.Enum<APIConstants.AuthenticationResponseCode>
com.ads.api.beans.common.APIConstants.AuthenticationResponseCode

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.AuthenticationResponseCode>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.AuthenticationResponseCode extends Enum<APIConstants.AuthenticationResponseCode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ER_0001`
  `ER_0002`
  `ER_0003`
  `ER_0004`
  `ER_0005`
  `ER_D_2001`
  `ER_D_2002`
  `ER_D_2003`
  `ER_D_2004`
  `ER_D_2005`
  `ER_D_2006`
  `ER_L_3001`
  `ER_L_3002`
  `ER_L_3003`
  `ER_L_3004`
  `ER_L_3005`
  `ER_L_3006`
  `ER_P_1001`
  `ER_P_1002`
  `ER_P_1003`
  `ER_P_1004`
  `ER_P_1005`
  `ER_P_1006`
  `ER_S_4001`
  `ER_S_4002`
  `ER_S_4003`
  `ER_S_4004`
  `ER_S_4005`
  `ER_S_4006`
  `SU_0000`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `containsValue(String message)`
  `static APIConstants.AuthenticationResponseCode`
  `getByCode(int responseCode)`
  `int`
  `getCode()`
  `String`
  `getMessage()`
  `APIConstants.AuthenticationResponseType`
  `getResponseType()`
  `static APIConstants.AuthenticationResponseCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.AuthenticationResponseCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SU_0000

    public static final APIConstants.AuthenticationResponseCode SU_0000

  - ### ER_0001

    public static final APIConstants.AuthenticationResponseCode ER_0001

  - ### ER_0002

    public static final APIConstants.AuthenticationResponseCode ER_0002

  - ### ER_0003

    public static final APIConstants.AuthenticationResponseCode ER_0003

  - ### ER_0004

    public static final APIConstants.AuthenticationResponseCode ER_0004

  - ### ER_0005

    public static final APIConstants.AuthenticationResponseCode ER_0005

  - ### ER_P_1001

    public static final APIConstants.AuthenticationResponseCode ER_P_1001

  - ### ER_P_1002

    public static final APIConstants.AuthenticationResponseCode ER_P_1002

  - ### ER_P_1003

    public static final APIConstants.AuthenticationResponseCode ER_P_1003

  - ### ER_P_1004

    public static final APIConstants.AuthenticationResponseCode ER_P_1004

  - ### ER_P_1005

    public static final APIConstants.AuthenticationResponseCode ER_P_1005

  - ### ER_P_1006

    public static final APIConstants.AuthenticationResponseCode ER_P_1006

  - ### ER_D_2001

    public static final APIConstants.AuthenticationResponseCode ER_D_2001

  - ### ER_D_2002

    public static final APIConstants.AuthenticationResponseCode ER_D_2002

  - ### ER_D_2003

    public static final APIConstants.AuthenticationResponseCode ER_D_2003

  - ### ER_D_2004

    public static final APIConstants.AuthenticationResponseCode ER_D_2004

  - ### ER_D_2005

    public static final APIConstants.AuthenticationResponseCode ER_D_2005

  - ### ER_D_2006

    public static final APIConstants.AuthenticationResponseCode ER_D_2006

  - ### ER_L_3001

    public static final APIConstants.AuthenticationResponseCode ER_L_3001

  - ### ER_L_3002

    public static final APIConstants.AuthenticationResponseCode ER_L_3002

  - ### ER_L_3003

    public static final APIConstants.AuthenticationResponseCode ER_L_3003

  - ### ER_L_3004

    public static final APIConstants.AuthenticationResponseCode ER_L_3004

  - ### ER_L_3005

    public static final APIConstants.AuthenticationResponseCode ER_L_3005

  - ### ER_L_3006

    public static final APIConstants.AuthenticationResponseCode ER_L_3006

  - ### ER_S_4001

    public static final APIConstants.AuthenticationResponseCode ER_S_4001

  - ### ER_S_4002

    public static final APIConstants.AuthenticationResponseCode ER_S_4002

  - ### ER_S_4003

    public static final APIConstants.AuthenticationResponseCode ER_S_4003

  - ### ER_S_4004

    public static final APIConstants.AuthenticationResponseCode ER_S_4004

  - ### ER_S_4005

    public static final APIConstants.AuthenticationResponseCode ER_S_4005

  - ### ER_S_4006

    public static final APIConstants.AuthenticationResponseCode ER_S_4006

- ## Method Details

  - ### values

    public static APIConstants.AuthenticationResponseCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.AuthenticationResponseCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getResponseType

    public APIConstants.AuthenticationResponseType getResponseType()

  - ### getMessage

    public String getMessage()

  - ### getByCode

    public static APIConstants.AuthenticationResponseCode getByCode(int responseCode)

  - ### containsValue

    public static boolean containsValue(String message)